Automation Framework

Ranorex Spy, Recorder, and Studio.
avi0gaur
Posts: 1
Joined: Mon Feb 02, 2015 10:03 am

Automation Framework

Post by avi0gaur » Tue Feb 03, 2015 1:07 pm

I am Facing similar type of problem, can anyone please solve this

Build finished successfully. (00:00:01.8369141)
Error loading code-completion information for Ranorex.Plugin.Qt, Version=5 from Ranorex.Plugin.Qt, Version=5:
Could not find assembly file.


If a build new test suit than it is working but in case of my older test suit it is showing like above

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Automation Framework

Post by Support Team » Wed Feb 04, 2015 11:01 am

Hello avi0gaur,

May I ask you to answer following questions?
  • • Which version of Ranorex do you currently use?
    • With which Ranorex version did you create your “old” solution?
    • Did you get any error message while opening the “old” solution with the newer Ranorex?
Thanks,
Robert
.
Image

tanu08
Posts: 4
Joined: Mon Jun 03, 2013 8:10 am

Re: Automation Framework

Post by tanu08 » Wed Aug 19, 2015 12:13 pm

Hi Robert,
I am facing same issue when running my project solution on Ranorex 4.0.4. This solution I created on Ranorex 5.0.2.
Error :- Error loading code-completion information for Ranorex.Plugin.Qt, Version=4 from Ranorex.Plugin.Qt, Version=4:
Could not find assembly file.

Please suggest me some solution as I have to move this soulution on Ranorex 4.0.4 (beacuse this is the only licensed version with us)

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Automation Framework

Post by krstcs » Wed Aug 19, 2015 2:34 pm

A solution created in a higher version of Ranorex will not work in a lower version of Ranorex.

You MUST update all Ranorex installs to the same version.

Additionally, you SHOULD update to a supported version as neither of the versions you list are supported any more. You should use 5.3.3 or 5.4.0.
Shortcuts usually aren't...